<?php

//проверяет заголовок изображения по шаблону
function checkImage($content)
{ 
	//шаблоны hex заголовков изображений wow
	$hexheader=array
	(
		//начальный блок у любого изображения wow - 26 символов
		"ff d8 ff e0 0 10 4a 46 49 46 0 1 1 0 0 1 0 1 0 0 ff db 0 43 0 6 4 4 4 5",
		"ff d8 ff e0 0 10 4a 46 49 46 0 1 1 0 0 1 0 1 0 0 ff db 0 43 0 3 3 3 3 3",
	);

	foreach ($hexheader as $value)
	{
		//если все символы шаблона совпадают с началом контента, то возвратить true
		if (substr(str2hex($content),1,strlen($value))==$value) return true;
	}

	return false;
}

//конвертирует текстовую строку в строку hex
function str2hex ($str)
{
	$len=(strlen($str)<255) ? strlen($str) : 255;
	$output="";
	for ($i=0;$i<=$len; $i++)
	{
		$output=$output.' '.dechex(ord(substr($str,$i,1)));
	}
	return $output;
}

//изменяет размер изображения
function resizeImage($source_pic, $destination_pic, $max_width=200, $max_height=150, $text=false)
{
	$src = imagecreatefromjpeg($source_pic);
	list($width,$height)=getimagesize($source_pic);

	$x_ratio = $max_width / $width;
	$y_ratio = $max_height / $height;

	if( ($width <= $max_width) && ($height <= $max_height) )
	{
		$tn_width = $width;
		$tn_height = $height;
	}
	elseif (($x_ratio * $height) < $max_height)
	{
		$tn_height = ceil($x_ratio * $height);
		$tn_width = $max_width;
	}
	else
	{
		$tn_width = ceil($y_ratio * $width);
		$tn_height = $max_height;
	}
	if ($text) $bar_size=15; else $bar_size=0; 
	
	$tmp=imagecreatetruecolor($tn_width,$tn_height+$bar_size);
	imagecopyresampled($tmp,$src,0,0,0,0,$tn_width, $tn_height,$width,$height);
	
	//text
	if ($text) {
		$txt_color=$background = imagecolorallocate($tmp, 255, 255, 255);
		$txt_file="inc/arial.ttf";
		$txt_fontsize=10;

		imagettftext ($tmp, $txt_fontsize, 0,  $tn_width/2-(strlen($text)*$txt_fontsize)/3, $tn_height+12, $txt_color, $txt_file, $text);
	}

	imagejpeg($tmp,$destination_pic, IMAGE_QUALITY);
	imagedestroy($src);
	imagedestroy($tmp);
}

//вставляет ID между именем файла и его расширением
function getFileName_old ($text, $id)
{
	list($filename, $extension)=explode(".",$text);
	$newname=$filename.'_'.$id.'.'.$extension;
	return $newname;
}

//заменяет имя файла на md5, а расширение оставляет
function getFileName ($text, $md5)
{
	list($filename, $extension)=explode(".",$text);
	$newname=$md5.'.'.$extension;
	return $newname;
}

//вставляет ID между именем файла и его расширением
function drawLinks ($url, $original, $thumb)
{
	global $lang;
	
	$output="<br><table border=0>";
	$value='[URL='.$url.'][IMG]'.$thumb.'[/IMG][/URL]';
	$output.="<tr height=40><td align=right>" . $lang[CURRENT_LANG]['forum_link'] . ": </td><td><input id='forumlink' type='text' size='60' value='{$value}' onclick=\"selectLayer('forumlink');\"></td></tr>";

	$value='<a href="'.$url.'"><img src="'.$thumb.'" border=0></a>';
	$output.="<tr height=40><td align=right>" . $lang[CURRENT_LANG]['site_link'] . ": </td><td><input id='sitelink' type='text' size='60' value='{$value}' onclick=\"selectLayer('sitelink');\"></td></tr>";
	
	#$output.="<tr><td align=center colspan=2><small><b style='color:red'>НЕ РАЗМЕЩАЙТЕ ссылку ниже на форумах. Используйте КОД ДЛЯ ФОРУМОВ выше.</b></small></td></tr>";

	$value=$url;
	$output.="<tr><td align=right>" . $lang[CURRENT_LANG]['direct_link'] . ": </td><td><input id='imagelink' type='text' size='60' value='{$value}' onclick=\"selectLayer('imagelink');\"></td></tr>";

	#$value=$original;
	#$output.="<tr><td align=right>Прямая ссылка: </td><td><input id='imagelink' type='text' size='50' value='{$value}' onclick=\"selectLayer('imagelink');\"></td></tr>";
	$output.="</table>";

	return $output;
}


function drawHeader ($title="")
{
	global $lang;
	
	if ($title!="") $title=' - '.$title;
	$output='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"> 
<HTML> 
<HEAD> 
	<TITLE> WoW TrueShots'.$title.' </TITLE>
	<META NAME="Author" CONTENT="HarpyWar">
	<META NAME="Keywords" CONTENT="wow server hosting image screenshot хостинг изображений вов world of warcraft">
	<META NAME="Description" CONTENT="WoW Screenshots True Hosting">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /> 

	<link rel="stylesheet" href="inc/style.css" type="text/css">
	<script type="text/javascript">
		function selectLayer(id) {
			layer=document.getElementById(id);
			layer.focus();
			layer.select();
			return false;
		}
	</script>
	</HEAD>

	<BODY>
	<CENTER>
	<div align=center><span class="title"><a href="index.php"><img src="inc/logo_trueshots_' . CURRENT_LANG . '.png" width="230" height="54" border=0 alt="WoW TrueShots"></a></span></div>
	<br><br>';

	return $output;
}

function drawFooter ()
{
	$output = '</center>
<br><br>
<div align=center><small>©&nbsp;2008—2010&nbsp;<a href="http://harpywar.com">HarpyWar</a></small></div>
<br><br>
</BODY>
</HTML>';

	return $output;
}

function DrawRandomImages()
{
	require_once ("inc/mysql.class.php");

	global $mysql_host;
	global $mysql_username;
	global $mysql_password;
	global $mysql_database;
	global $table_shots;
	global $path_thumbs;
	
	$db=new db_mysql($mysql_host, $mysql_username, $mysql_password, $mysql_database);
	$db->show_errors();

	//добавить изображение, только если такого не существует
	$res=$db->executeSelect($table_shots,"*","ORDER BY rand() LIMIT 3");
	
	$output = "<table border=0><tr>";
	
	foreach ($res as $key=>$value)
	{
		$output .=sprintf( "<td><a href='img.php?hash=%s'><img src='%s%s' width=200 height=150 border=0 title='%s'></a>&nbsp;</td>", $value['md5'], $path_thumbs, getFileName($value['name'], $value['md5']), $value['comment'] );
	}
	$output .='</tr></table>';

	return $output;
}

/*
$str="hell";
echo str2hex ($str);

echo "<br>";

echo checkImage($str);
*/


?>